{#
/**
 * @file
 * Default theme implementation for a 4 column layout.
 *
 * Available variables:
 * - content: The content for this layout.
 * - attributes: HTML attributes for the layout <div>.
 *
 * Additional layout settings 
 * - settings.cuskt_column_setting: selected column bundle for layout - default to 4col__3_3_3_3 (equal columns)
 *
 * @ingroup themeable
 */
#}
{% set column_layout_setting = settings.cuskt_column_setting %}

{% if content %}
  <div{{ attributes.addClass('row') }}>

    <div{{ region_attributes.first.addClass('col-md-3', 'col-sm-6') }}>
      {{ content.first }}
    </div>

    <div{{ region_attributes.second.addClass('col-md-3', 'col-sm-6') }}>
      {{ content.second }}
    </div>

    <div{{ region_attributes.third.addClass('col-md-3', 'col-sm-6') }}>
      {{ content.third }}
    </div>

    <div{{ region_attributes.fourth.addClass('col-md-3', 'col-sm-6') }}>
      {{ content.fourth }}
    </div>

  </div>
{% endif %}
